Bug 419701 - File delete problem with samba since version 3.0.27a
File delete problem with samba since version 3.0.27a
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: samba (Show other bugs)
8
i386 Linux
low Severity low
: ---
: ---
Assigned To: Simo Sorce
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-12-11 08:07 EST by Hubert Thumfart
Modified: 2009-01-09 00:28 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 00:28:56 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Hubert Thumfart 2007-12-11 08:07:39 EST
Description of problem:

since version 3.0.27a of samba there is a problem with deleting files from
windows clients in this cases. If the permission of a directory that is shared
has 770 and and the gid of this directory is the same as all users have, clients
 (users) can read and create files in this directory (share) without problem.
But they cannot delete files in this directory. Also not if the same client
(user) has created it before. The permissions on linux and uid and gid are as
expected. If changing then the uid of the directory to that of the client,
deletion works. Also if setting permission of the directory to 772, deletion works.

Going back to 3.0.26a, which is in then base-repository (3.0.27 disappears), all
is working ok, like allways before.

Version-Release number of selected component (if applicable):

samba-3.0.27a and samba-3.0.28

How reproducible:

Alway by switching between 3.0.28a (or 3.0.27a) and 3.0.26a releases.

Steps to Reproduce:
1. 
2.
3.
  
Actual results:


Expected results:


Additional info:

I see, that in the diff-file of the sourcecode, there are many changes for
"Check for POSIX group ACLs" to "Helper function that gets a security descriptor
by connection and file name". Maybe there is a problem, but i cannot find it,
because i dont understand everything there. I am not a professional in
programming C language.
Comment 1 Bug Zapper 2008-11-26 03:56:57 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Bug Zapper 2009-01-09 00:28:56 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.